<template>
  <div
    class="kit nav faq"
    :class="{'not-hide':section.showAll||all}">
    <div class="title">{{ section.title }}</div>
    <nuxt-link
      v-for="(item,key) in section.items"
      class="item link"
      :class="{active: key === help}"
      :to="{name:section.route, params:{help:key}}"
      :key="key">{{ item }}
    </nuxt-link>
    <nuxt-link
      v-if="!section.showAll && !all"
      class="item link"
      to="/check-auto/questions">Посмотреть все</nuxt-link>
  </div>
</template>

<script>
export default {
  name: 'NavTree',
  props: {
    section: {
      type: Object,
      required: true,
    },
    help: {
      type: String,
      default: null,
    },
    all: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style scoped lang="postcss">
    .kit.view.checkauto.faq {
        display: flex;
        flex-flow: column nowrap;
        justify-content: flex-start;
        align-items: stretch;
        width: 100%;
        padding: 1.5rem 2.75rem;
        @media only screen and (max-width: 980px) {
            padding: 0 1.5rem;
        }

        .subtitle {
            padding-top: 1.75rem;
            padding-bottom: 1.5rem;
            font-size: 0.8125rem;
            line-height: 1.5;
            width: 100%;
            color: #4a4a4a;
            @media only screen and (max-width: 980px) {
                font-size: 0.9375rem;
                padding: 1.5rem 0;
            }
        }

        .ui.button {
            width: auto;
            margin: 0 auto 1.5rem 0;

            &.yellow {
                color: #141414;
            }

            @media only screen and (max-width: 980px) {
                margin-left: auto;
            }
        }

        .list.block {
            display: flex;
            flex-flow: row nowrap;
            justify-content: flex-start;
            align-items: flex-start;
            @media only screen and (max-width: 980px) {
                flex-flow: row wrap;
            }

            .chunk {
                flex: 0 1 auto;
                display: flex;
                flex-flow: row wrap;
                justify-content: flex-start;
                padding: 0;
                max-width: 66%;
                .title{
                    font-size: 0.9375rem;
                    font-weight: 700;
                    color: #272727;
                    padding: 0.25rem 0 0.75rem 0;
                }
                @media only screen and (max-width: 980px) {
                    max-width: 25rem;
                    min-width: 17rem;
                    &:first-child {
                        order: 2;
                    }
                    &:last-child {
                        order: 1;
                    }
                }
            }

            .kit.nav.faq {
                display: flex;
                flex-flow: column nowrap;
                align-items: flex-start;
                justify-content: flex-start;
                padding: 0 3rem 2rem 0;

                > .item:last-child {
                    display: none;
                }

                + .kit.nav.faq {
                    margin-right: -3rem;
                }

                @media only screen and (max-width: 980px) {
                    min-width: 100%;
                    padding-right: 0;
                }
            }
        }

        > .content {
            display: flex;
            flex-flow: row nowrap;
            flex: 0 1 100%;
            @media only screen and (max-width: 980px) {
                flex-flow: column nowrap;
            }

            > .description {
                max-width: 42rem;
                margin-right: auto;
                padding-right: 3rem;
                @media only screen and (max-width: 980px) {
                    padding-right: 0;
                }

                *:not(.aqualink):not(.button):not(.title) {
                    color: #4a4a4a;
                }

                .ui.button.icon {
                    font-size: 0.8125rem;
                    color: #4a4a4a;
                    text-decoration: none !important;
                    margin: 1rem 0 0;

                    i.icon {
                        color: #4272a4;
                        font-weight: 400;

                        &.arr-left:before {
                            content: "←";
                        }
                    }

                    @media only screen and (max-width: 980px) {
                        font-size: 1rem;
                        font-weight: 500;
                        padding: 1rem 0;
                        i.icon {
                            padding-right: 1rem;
                            font-size: 0.875rem;
                        }
                    }
                }

                > .title {
                    font-size: 1.3125rem;
                    font-weight: 700;
                    color: #272727;
                    padding: 0.25rem 0 0.75rem 0;
                }

                .chunk {
                    flex: 0 1 50%;
                    padding-right: 1rem;

                    &.fluid {
                        width: 100%;
                        flex: 1 1 100%;
                        padding-right: 0;
                    }

                    &.spacing {
                        margin-top: 1.5rem;
                    }

                    @media screen and (max-width: 980px) {
                        width: 100%;
                        flex: 1 1 100%;
                        padding: 0;
                        margin: 0 !important;
                        &.colorize {
                            padding: 1rem 0.5rem;
                            margin: 0 -0.5rem !important;

                            &:nth-child(odd) {
                                background-color: #f4f4f4;
                            }
                        }
                    }
                }

                .kit.info.text:not(.color) {
                    width: 100%;
                    line-height: 1.5;
                    @media screen and (max-width: 980px) {
                        display: flex;
                        flex-flow: column nowrap;
                        justify-content: space-between;
                        font-size: 0.875rem;
                        line-height: 1.3;
                        color: #383838;
                        > .item {
                            display: flex;
                            margin-bottom: 0.625rem;

                            &.year-wrap {
                                justify-content: flex-start;

                                * {
                                    width: auto;
                                    flex: 0 1 auto;
                                    font-weight: 400;
                                }
                            }
                        }
                    }
                }

                .kit.info.text .aqualink {
                    text-decoration: none;

                    &:hover {
                        text-decoration: underline;
                    }
                }

                .kit.info.text .caption,
                .kit.info.text .value {
                    color: inherit;
                    line-height: inherit;
                    @media screen and (max-width: 980px) {
                        flex: 1 0 50%;
                        width: 50%;
                        white-space: normal;
                    }
                }

                .kit.info.text .caption {
                    font-weight: 500;
                }

                .kit.info.text .value {
                    @media screen and (max-width: 980px) {
                        display: block;
                        padding-left: 0.5rem;
                        word-wrap: break-word;
                    }
                }
            }

            > .navigation {
                margin-left: auto;
                margin-top: -1.5rem;
                @media only screen and (max-width: 980px) {
                    margin: 1rem 0 2rem;
                }

                .ui.button {
                    margin: 0;
                }

                .kit.nav.faq {
                    display: flex;
                    flex-flow: column nowrap;
                    align-items: flex-start;
                    justify-content: flex-start;
                    max-width: 21.875rem;
                    > .title {
                        padding: 1rem 0 0.375rem 0.5rem;
                        font-size: 1rem;
                        font-weight: 700;
                        color: #4a4a4a;
                    }

                    > .item {
                        display: inline-block;
                        width: auto;
                        //white-space: nowrap;
                        color: #558fcc;
                        font-size: 0.8125rem;
                        line-height: 1.3;
                        padding: 0.25rem 0.5rem;
                        text-decoration: none;
                        &:hover {
                            text-decoration: underline;
                        }
                        &.active {
                            @media only screen and (max-width: 980px) {
                                display: none;
                            }
                        }
                        @media only screen and (max-width: 980px) {
                            padding: 0.375rem 0;
                            font-size: 0.9375rem;
                            line-height: 1.3;
                            white-space: normal;
                            font-weight: 500;
                        }
                        &:not(.not-hide) {
                            > .item:nth-child(n+7) {
                                display: none;
                            }

                            > .item:last-child {
                                display: block;
                            }
                        }
                    }

                    &:not(.not-hide) {
                        > .item:nth-child(n+7) {
                            display: none;
                        }

                        > .item:last-child {
                            display: block;
                        }
                    }
                    &.not-hide {
                        > .item.active {
                            background-color: #fef5cd;

                            &:after {
                                content: '';
                                display: inline-block;
                                vertical-align: middle;
                                margin-left: 0.5rem;
                                background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAxNCAxNCI+ICA8ZGVmcz4gICAgPHN0eWxlPiAgICAgIC5jbHMtMSB7ICAgICAgICBmaWxsOiAjZmZjZjY4OyAgICAgIH0gICAgPC9zdHlsZT4gIDwvZGVmcz4gIDxwYXRoIGlkPSJQYXRoXzE1NjUiIGRhdGEtbmFtZT0iUGF0aCAxNTY1IiBjbGFzcz0iY2xzLTEiIGQ9Ik03ODksNDI4bDIuMTYxLDQuNjA4LDQuODM5Ljc0My0zLjUsMy41ODUuODI4LDUuMDY0TDc4OSw0MzkuNjA4LDc4NC42NzIsNDQybC44MjgtNS4wNjRMNzgyLDQzMy4zNWw0LjgzOS0uNzQzWiIgdHJhbnNmb3JtPSJ0cmFuc2xhdGUoLTc4MiAtNDI4KSIvPjwvc3ZnPg==);
                                width: 14px;
                                height: 14px;
                            }
                        }
                    }
                }
            }
        }
    }
</style>
